Subject: Re: [PATCH net-next v4 4/4] net: ethernet: renesas: rswitch: Add phy_power_{on,off}() calling

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 30 Jan 2023 16:48:02 +0000

On Mon, Jan 30, 2023 at 05:30:48PM +0100, Marek Behún wrote:
> But rswitch already uses phylink, so should Yoshihiro convert it whole
> back to phylib? (I am not sure how much phylink API is used, maybe it
> can stay that way and the new phylib function as proposed in Yoshihiro's
> previous proposal can just be added.)

In terms of "how much phylink API is used"... well, all the phylink
ops functions are currently entirely empty. So, phylink in this case
is just being nothing more than a shim between the driver and the
corresponding phylib functions.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!